Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   ArchLinux Pacman Development (http://www.linux-archive.org/archlinux-pacman-development/)
-   -   Fix compatibility with older versions of libarchive. (http://www.linux-archive.org/archlinux-pacman-development/508734-fix-compatibility-older-versions-libarchive.html)

Rémy Oudompheng 04-01-2011 10:35 PM

Fix compatibility with older versions of libarchive.
 
There is no reason to not support versions of libarchive that lack
ARCHIVE_COMPRESSION_UU. Distributions should work properly without
this.

Signed-off-by: Rémy Oudompheng <remy@archlinux.org>
---
lib/libalpm/be_sync.c | 2 ++
1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/lib/libalpm/be_sync.c b/lib/libalpm/be_sync.c
index ef8517e..c2c62aa 100644
--- a/lib/libalpm/be_sync.c
+++ b/lib/libalpm/be_sync.c
@@ -197,9 +197,11 @@ static size_t estimate_package_count(struct stat *st, struct archive *archive)
case ARCHIVE_COMPRESSION_XZ:
per_package = 143;
break;
+#ifdef ARCHIVE_COMPRESSION_UU
case ARCHIVE_COMPRESSION_UU:
per_package = 3543;
break;
+#endif
default:
/* assume it is at least somewhat compressed */
per_package = 200;
--
1.7.4.2


All times are GMT. The time now is 01:51 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.